org.apache.ignite.internal.processors.cache

## Class CacheClientReconnectDiscoveryData

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheClientReconnectDiscoveryData

All Implemented Interfaces:
  Serializable

    public class CacheClientReconnectDiscoveryData
    extends Object
    implements Serializable

Discovery data sent from client reconnecting to cluster.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,org.apache.ignite.internal.processors.cache.CacheClientReconnectDiscoveryData.CacheInfo>` `clientCaches()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### clientCaches

    public Map<String,org.apache.ignite.internal.processors.cache.CacheClientReconnectDiscoveryData.CacheInfo> clientCaches()

Returns:
  Information about caches started on re-joining client node.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018